Loading...
Searching...
No Matches
juce::CallbackMessage Class Referenceabstract

## Detailed Description

A message that invokes a callback method when it gets delivered.

You can use this class to fire off actions that you want to be performed later on the message thread.

To use it, create a subclass of CallbackMessage which implements the messageCallback() method, then call post() to dispatch it. The event thread will then invoke your messageCallback() method later on, and will automatically delete the message object afterwards.

Always create a new instance of a CallbackMessage on the heap, as it will be deleted automatically after the message has been delivered.

Note that this class was essential back in the days before C++11, but in modern times you may prefer to use MessageManager::callAsync() with a lambda.

See also
  MessageManager::callAsync, MessageListener, ActionListener, ChangeListener

The documentation for this class was generated from the following file:

- juce_events/messages/juce_CallbackMessage.h

Inheritance diagram for juce::CallbackMessage:

## Public Member Functions

| CallbackMessage ()=default
| ~CallbackMessage () override=default
| Destructor.
void | messageCallback () override=0
| Called when the message is delivered.
Public Member Functions inherited from juce::MessageManager::MessageBase
| MessageBase ()=default
| ~MessageBase () override=default
bool | post ()
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members

Public Types inherited from juce::MessageManager::MessageBase
using | Ptr = ReferenceCountedObjectPtr<MessageBase>
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
| Copying from another object does not affect this one's reference-count.
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
| Copying from another object does not affect this one's reference-count.
virtual | ~ReferenceCountedObject ()
| Destructor.
void | resetReferenceCount () noexcept
| Resets the reference count to zero without deleting the object.

## Constructors and Destructors

## CallbackMessage()

juce::CallbackMessage::CallbackMessage | ( |  | ) |

default

Referenced by messageCallback().

## ~CallbackMessage()

juce::CallbackMessage::~CallbackMessage | ( |  | ) |

override default

Destructor.

## Member Functions

## messageCallback()

void juce::CallbackMessage::messageCallback | ( |  | ) |

override pure virtual

Called when the message is delivered.

You should implement this method and make it do whatever action you want to perform.

Note that like all other messages, this object will be deleted immediately after this method has been invoked.

Implements juce::MessageManager::MessageBase.

References CallbackMessage().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited